/* Text Function */
/* CopyRight (c) CSA 1990 */

/* Sound */
void sound(int t);
void nosound(void);

/* Text */

struct text_info {
	unsigned char winleft;
	unsigned char wintop;
	unsigned char winright;
	unsigned char winbottom;
	unsigned char attribute;
	unsigned char normattr;
	unsigned char currmode;
	unsigned char screenheight;
	unsigned char screenwidth;
	unsigned char curx;
	unsigned char cury;
};

enum text_modes { LASTMODE=-1, BW40=0, C40, BW80, C80, MONO=7 };

#if	!defined(__COLORS)
#define __COLORS

enum COLORS {
    BLACK,		    /* dark colors */
    BLUE,
    GREEN,
    CYAN,
    RED,
    MAGENTA,
    BROWN,
    LIGHTGRAY,
    DARKGRAY,		    /* light colors */
    LIGHTBLUE,
    LIGHTGREEN,
    LIGHTCYAN,
    LIGHTRED,
    LIGHTMAGENTA,
    YELLOW,
    WHITE
};
#endif

void clreol();
void clrscr();
int  cprintf(char *format,...);
void delline();
void gettext(int left,int top,int right,int bottom,int *address);
void gettextinfo(struct text_info *r);
void gotoxy(int x,int y);
void highvideo();
void insline();
int  movetext(int left,int top,int right,int bottom,int destleft,int desttop);
void normvideo();
int  puttext(int left,int top,int right,int bottom,int address);
void textattr(int attr);
void textbackground(int color);
void textcolor(int color);
void textcursor(int state);
void textmode(int mode);
int  wherex();
int  wherey();
int  window(int left,int top, int right, int bottom);
