
 /*
 File: FLOOD.H
 Version: 1.0
 Header for Flood-Loader Node Info.
 (C) Copyright Alta Technology Corporation, 1992
 Written by Scott Lloyd
 2-26-92
 */

#ifndef _FLOOD
#define _FLOOD 1

typedef struct {
    int nodeid;     /* unique node id., root is 1 */
    int memory;     /* end of memory address */
    int minint;     /* minimum integer */
    int bootin;     /* input link used to boot */
    int bootout[4]; /* output links used to boot downstream nodes, 0 term. */
    int entryp;     /* entry point of loaded code */
    int worksp;     /* workspace or stack of first running code */
    int loadst;     /* last loader start address */
    int loadad;     /* current loader address, usually top of loaded code */
} NDST;

#endif /* _FLOOD */
