/*
 *	fscanf,scanf
 *
 *	Copyright (c) 1988-1992 by Logical Systems
 *
 *	Written by Kirk Bailey
 *
 *	Last update:	2/12/92
 */

#include	<stdio.h>
#include	<stddef.h>
#include	<stdarg.h>

/*
 *	fscanf
 */
int
fscanf(FILE *fp,const char *format,...)
	{
	extern	int		_scf(int (*)(),int (*)(),FILE *,char *,
					va_list);

	int			rval;
	va_list			vargs;

	va_start(vargs,format);		/* Start of var args stuff */
	rval = _scf(fgetc,ungetc,fp,format,vargs);
	va_end(vargs);			/* Cleanup for var args stuff */
	return (rval);
	}

/*
 *	scanf
 */
scanf(const char *format,...)
	{
	extern	int		_scf(int (*)(),int (*)(),FILE *,char *,
					va_list);

	int			rval;
	va_list			vargs;

	va_start(vargs,format);		/* Start of var args stuff */
	rval = _scf(fgetc,ungetc,stdin,format,vargs);
	va_end(vargs);			/* Cleanup for var args stuff */
	return (rval);
	}
