/*
 *	inline.h
 *
 *	Helping functions and macros for TCX inline assembly language.
 *
 *	Copyright 1988 by Logical Systems.
 */

#ifndef	_INLINE				/* Avoid duplication */
#define	_INLINE		1

#pragma	asm_expand			/* Recognize macros in "asm" */

void	_BUILTIN_ajw(int x);

#pragma	macro	_asm_ajw(x)
#pragma	endasm				/* Return to "C" world */
_BUILTIN_ajw((x));
#pragma	asm				/* Back to assembly language */
#pragma	endmacro

void	_BUILTIN_eval(int x,...);

#pragma	macro	_asm_eval1(x)
#pragma	endasm				/* Return to "C" world */
_BUILTIN_eval(1,(x));
#pragma	asm				/* Back to assembly language */
#pragma	endmacro

#pragma	macro	_asm_eval2(x,y)
#pragma	endasm				/* Return to "C" world */
_BUILTIN_eval(2,(x),(y));
#pragma	asm				/* Back to assembly language */
#pragma	endmacro

#pragma	macro	_asm_eval3(x,y,z)
#pragma	endasm				/* Return to "C" world */
_BUILTIN_eval(3,(x),(y),(z));
#pragma	asm				/* Back to assembly language */
#pragma	endmacro

#endif	/* _INLINE */
